From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/rbldnsd/
Date: Tue, 11 Feb 2020 17:09:54 +0000 (UTC) [thread overview]
Message-ID: <1581440965.390249f9888149c83468fe7a083a33b5c1136d70.mjo@gentoo> (raw)
commit: 390249f9888149c83468fe7a083a33b5c1136d70
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 16:18:30 2020 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 17:09:25 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=390249f9
net-dns/rbldnsd: new revision with GLEP81 and a fix for python deps.
Standard GLEP81 update in the process of fixing bug 708584, which
looks to need only a single has_version call predicated on USE=test
added in python_check_deps().
Closes: https://bugs.gentoo.org/708584
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
net-dns/rbldnsd/rbldnsd-0.998b-r1.ebuild | 69 ++++++++++++++++++++++++++++++++
1 file changed, 69 insertions(+)
diff --git a/net-dns/rbldnsd/rbldnsd-0.998b-r1.ebuild b/net-dns/rbldnsd/rbldnsd-0.998b-r1.ebuild
new file mode 100644
index 00000000000..c73e294de9e
--- /dev/null
+++ b/net-dns/rbldnsd/rbldnsd-0.998b-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit toolchain-funcs python-any-r1
+
+DESCRIPTION="DNS server designed to serve blacklist zones"
+HOMEPAGE="https://rbldnsd.io/"
+SRC_URI="https://github.com/spamhaus/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~sparc ~x86"
+IUSE="ipv6 test zlib"
+RESTRICT="!test? ( test )"
+
+RDEPEND="zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ acct-group/rbldns
+ acct-user/rbldns
+ test? (
+ ${RDEPEND}
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/pydns:2[${PYTHON_USEDEP}]')
+ )"
+
+PATCHES=(
+ "${FILESDIR}/rbldnsd-0.997a-robust-ipv6-test-support.patch"
+)
+
+src_configure() {
+ # The ./configure file is handwritten and doesn't support a `make
+ # install` target, so there are no --prefix options. The econf
+ # function appends those automatically, so we can't use it.
+ ./configure \
+ $(use_enable ipv6) \
+ $(use_enable zlib) \
+ || die "./configure failed"
+}
+
+src_compile() {
+ emake \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ RANLIB="$(tc-getRANLIB)"
+}
+
+src_test() {
+ emake check \
+ CC="$(tc-getCC)" \
+ PYTHON="${PYTHON}"
+}
+
+src_install() {
+ einstalldocs
+ dosbin rbldnsd
+ doman rbldnsd.8
+ newinitd "${FILESDIR}"/initd-0.997a rbldnsd
+ newconfd "${FILESDIR}"/confd-0.997a rbldnsd
+ diropts -g rbldns -o rbldns -m 0750
+ keepdir /var/db/rbldnsd
+}
+
+python_check_deps() {
+ ! use test || has_version "dev-python/pydns:2[${PYTHON_USEDEP}]"
+}
next reply other threads:[~2020-02-11 17:09 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-11 17:09 Michael Orlitzky [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-29 3:00 [gentoo-commits] repo/gentoo:master commit in: net-dns/rbldnsd/ Michael Orlitzky
2024-03-29 2:04 Sam James
2024-03-29 2:04 Sam James
2024-03-28 23:01 Michael Orlitzky
2024-02-11 13:29 Michael Orlitzky
2020-05-02 9:01 Sergei Trofimovich
2020-04-23 11:15 Agostino Sarubbo
2020-04-23 10:41 Agostino Sarubbo
2020-04-22 17:54 Michael Orlitzky
2020-04-17 16:24 Sergei Trofimovich
2020-04-04 14:23 Michael Orlitzky
2019-11-28 10:58 Agostino Sarubbo
2019-11-26 19:35 Sergei Trofimovich
2019-11-22 10:24 Agostino Sarubbo
2019-09-09 15:03 Michael Orlitzky
2017-01-08 16:39 Michael Orlitzky
2016-08-17 3:16 Michael Orlitzky
2016-08-17 3:13 Jeroen Roovers
2016-08-07 1:12 Michael Orlitzky
2016-03-06 12:58 Agostino Sarubbo
2016-01-02 14:40 Michael Orlitzky
2015-09-27 5:28 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1581440965.390249f9888149c83468fe7a083a33b5c1136d70.mjo@gentoo \
--to=mjo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox